%global glib2_version 2.44
%global gtk3_version 3.20

Name:           gspell
Version:        1.12.0
Release:        1
Summary:        Spell-checking library for GTK+
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/gspell
Source0:        https://download.gnome.org/sources/%{name}/1.12/%{name}-%{version}.tar.xz

BuildRequires:  gettext gobject-introspection-devel pkgconfig(enchant-2)
BuildRequires:  pkgconfig(iso-codes) vala make
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk3_version}
Requires:       glib2%{?_isa} >= %{glib2_version}
Requires:       gtk3%{?_isa} >= %{gtk3_version}
Requires:       iso-codes

%description
gspell provides a flexible API to add spell-checking to a GTK application.

%package        devel
Summary:        Development files for gspell
Requires:       %{name} = %{version}-%{release}
Provides:       gspell-doc = %{version}-%{release}
Obsoletes:      gspell-doc < %{version}-%{release}

%description    devel
The gspell-devel package contains libraries and header files for
developing applications that use gspell.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install
%delete_la

%find_lang gspell-1

%ldconfig_scriptlets

%files -f gspell-1.lang
%license COPYING
%doc NEWS README.md
%{_libdir}/girepository-1.0/
%{_libdir}/libgspell-1.so.2*

%files devel
%{_bindir}/gspell-app1
%{_includedir}/gspell-1/
%{_libdir}/libgspell-1.so
%{_libdir}/pkgconfig/gspell-1.pc
%{_datadir}/gir-1.0/
%{_datadir}/vala/
%{_datadir}/gtk-doc/

%changelog
* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 1.12.0-1
- Update to 1.12.0

* Mon Jun 20 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.11.1-1
- Upgrade to 1.11.1

* Mon Jun 6 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.10.0-1
- Upgrade to 1.10.0

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.9.1-1
- Update to 1.9.1

* Tue Jun 15 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.8.4-1
- Upgrade to 1.8.4

* Fri Nov 22 2019 liujing<liujing144@huawei.com> - 1.8.1-3
- Package init
